Kindle Update

link

Have an Amazon Kindle that’s pre-2012? You need to read this

Amazon security update locks out those who don’t update by 22 March

Amazon’s Kindle range is fantastic, but if you want to stop your reader from becoming a brick, you’ll need to update it by 22 March.

As part of an emergency update for its 2012 Kindle Paperwhite, Amazon requires all Kindle users to keep their devices up-to-date. Failure to do so results in a Kindle that can no longer connect to the internet to sync your device with the cloud or gain access to the Kindle Store. To put it bluntly, if you forget to update, your device will become a useless brick.

If it’s switched on, a Kindle will typically update itself via an associated Wi-Fi connection. However, if it’s been a while since you last used your Kindle, it’s definitely worth checking it has enough power in it to auto upgrade.

You can manually perform the upgrade by pressing the “Sync and Check for items” button in the home screen Menu tab. You know the update has been successful when you receive a notification saying “03-2016 Successful Update” on your Kindle.

Those of you who may have missed the 22 March deadline can still update, but it’s far more of a faff and involves plugging your Kindle into a computer to do so. Thankfully Amazon has listed step-by-step instructions for manual upgrades over on its device help page.

If you’re unsure if your Kindle will be affected by the update, here’s a list of the readers that Amazon is insisting are updated:

  • Kindle 1st generation (2007)
  • Kindle 2nd generation (2009)
  • Kindle DX 2nd generation (2009)
  • Kindle Keyboard 3rd generation (2010)
  • Kindle 4th generation (2011)
  • Kindle 5th generation (2012)
  • Kindle Touch 4th generation (2011)
  • Kindle Paperwhite 5th generation (2012)